"use client"

import * as React from 'react';

import BIView from '@/components/BIView/BIView';
import CollectionTable from '@/components/CollectionTable/CollectionTable';

import { useMainPage } from '../contexts/MainPageContext';

const MainScreenContent = () => {


    const { selectMenu } = useMainPage();

    if (selectMenu?.collection) {
        return <CollectionTable

            key={selectMenu.collection}
            collection={selectMenu.collection} />;
    }

    if (selectMenu?.key === 'bi_view') {
        return <BIView />
    }

    return (
        <div className="w-full p-4">

        </div>
    )
}


export default MainScreenContent;